<?php
// $Id:

/**
 * List view of assignments
 * 
 * @global <type> $user
 * @return <type>
 */
function pe_assignment_list() {
  global $user;

  $assignment = node_load(array('nid' => arg(2)));
  $og_nid = arg(3);
  
	if($user->is_student) {
    $uids = array($user->uid);
  }
  else {
    $uids = _get_og_uids(array($og_nid));
  }

  $fprofiles = array(
      'profile'	=> array('field_firstname','field_lastname', 'field_personal_title', 'field_gender'),
  );

  $fprofileedus = array(
      'profileedu' => array('field_studentid'),
  );

  $fassignment = array(
      'pe_assignment_answer' => array('field_marked', 'field_score', 'field_ip'),
  );

  $pefields = _get_profile_fields_sql($fprofiles);
  $pufields = _get_profile_fields_sql($fprofileedus);
  $pafields = _get_profile_fields_sql($fassignment); 

  $select_sql = '';
  $select_sql .= "SELECT DISTINCT u.uid, u.name AS username, profile.nid, \n";
  $select_sql .= implode(', ', $pefields['selects']) .", \n";
  $select_sql .= implode(', ', $pufields['selects']) .", \n";
  $select_sql .= implode(', ', $pafields['selects']) .", \n";
  $select_sql .= " pe_assignment_answer.nid AS pe_assignment_answer_nid, pe_assignment_answer.created \n";
  $select_sql .= " FROM ({users} u ) \n";
  $select_sql .= " LEFT JOIN {node} profile ON (u.uid = profile.uid AND profile.type = '%s') \n";
  $select_sql .= implode("\n", $pefields['joins']) ." \n";
  $select_sql .= " LEFT JOIN {node} profileedu ON (u.uid = profileedu.uid AND profileedu.type = '%s') \n";
  $select_sql .= implode("\n", $pufields['joins']) ." \n";
  $select_sql .= " LEFT JOIN {node} pe_assignment_answer ON (u.uid = pe_assignment_answer.uid AND pe_assignment_answer.type = '%s') \n";
  $select_sql .= implode("\n", $pafields['joins']) ." \n";

  $where = '';
  if(sizeof($uids)) {
    $where .= " WHERE u.uid IN (" . implode(',', $uids) . ") \n";
  }
  $select_sql .= $where;

  $args = array('profile', 'profileedu','pe_assignment_answer');

  $count_sql = "SELECT COUNT(*) FROM {users} u \n";
  $count_sql .= $where;

	$header = array(
      array('data' => t('#')),
      array('data' => t('Fullname'), 'field' => 'field_lastname'),
      array('data' => t('Gender'), 'field' => 'field_gender'),
      array('data' => t('Student ID'), 'field' => 'field_studentid'),
      array('data' => t('Points'), 'field' => 'field_score'),
      array('data' => t('Submitted'), 'field' => 'created'),
      array('data' => t('Marked'), 'field' => 'field_marked'),
      array('data' => t('Hostname'), 'field' => 'field_ip'),
      array('data' => t('Operations')),
      );
	$tablesort = tablesort_sql($header);
  
  $show_count = variable_get('items_per_page', 100);
  $result = pager_query($select_sql . $tablesort, $show_count, 0, $count_sql, $args);

  $rows = array();
	while($node = db_fetch_object($result)) {
    // mock up user profile
    $account = new stdClass();
    $account->uid = $node->uid;
    $account->name = $node->username;
    $account->profile->field_lastname[0]['value'] = $node->field_lastname;
    $account->profile->field_firstname[0]['value'] = $node->field_firstname;
    $account->profile->field_personal_title[0]['value'] = _translate_personal_title($node->field_personal_title);

	  $points = '';
	  $points .= ($node->field_marked > 0) ? $node->field_score .'/'. $assignment->field_max_score[0]['value'] : '?';
	  $points .= (($node->field_marked > 0) && ($assignment->field_percent[0]['value'] == 'yes')) ?  ' ('. $node->field_score * 100 / $assignment->field_max_score[0]['value'] .'%)' : '';

    $ops = ($node->pe_assignment_answer_nid > 0) ? l(t('View'), 'node/'. $node->pe_assignment_answer_nid, array('title' => t('View'))) : '-';
    
	  $rows[] = array(
	    array('data' => $i + 1, 'align' => 'center'),
  		array('data' => theme('username', $account, $link = 1, $access = 1, $path, $attributes)),
      array('data' => ($node->field_gender != '') ? theme('image', 'misc/icon_'. drupal_strtolower($node->field_gender) .'.gif')  : '--', 'align' => 'center'),
  		array('data' => $node->field_studentid),
  		array('data' => $points, 'align' => 'center'),
	  	array('data' => ($node->created > 0) ? (format_date($node->created, 'medium')) : '-', 'align' => 'center'),
	  	array('data' => ($node->field_marked > 0) ? (format_date($node->field_marked, 'small')) : '-', 'align' => 'center'),
	  	array('data' => ($node->field_ip != 0) ? $node->field_ip : '-', 'align' => 'center'),
      array('data' => $ops, 'align' => 'center'),
	  	);
      $i++;
    }
    if(count($rows) < 1) {
      $rows[] = array(array('data' => t('No students available.'), 'colspan' => count($header), 'align' => 'center'));
    }

    drupal_set_title($assignment->title .' (<i>'. $assignment->og_groups_both[$og_nid] .'</i>)');
    $output = '';
    $output .= t('Assignments list ...');

    $output .= theme('table', $header, $rows);
    $output .= theme('pager', null, $show_count, 0);

  return $output;

}
