<?php

/**
 * Implementation of hook_views_default_views().
 */
function pe_edu_views_default_views() {
  $view = new view;
  $view->name = 'pe_subsections';
  $view->description = 'List of subsections';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('fields', array(
    'title' => array(
      'label' => 'Title',
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'none',
    ),
    'field_code_value' => array(
      'label' => '',
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_code_value',
      'table' => 'node_data_field_code',
      'field' => 'field_code_value',
      'relationship' => 'none',
    ),
    'field_head_uid' => array(
      'label' => '',
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_head_uid',
      'table' => 'node_data_field_head',
      'field' => 'field_head_uid',
      'relationship' => 'none',
    ),
    'view_node' => array(
      'label' => '',
      'text' => 'Details',
      'exclude' => 0,
      'id' => 'view_node',
      'table' => 'node',
      'field' => 'view_node',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('sorts', array(
    'title' => array(
      'order' => 'ASC',
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'override' => array(
        'button' => 'Override',
      ),
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('arguments', array(
    'field_parent_section_nid' => array(
      'default_action' => 'default',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'default_argument_type' => 'node',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'id' => 'field_parent_section_nid',
      'table' => 'node_data_field_parent_section',
      'field' => 'field_parent_section_nid',
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '0',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'book' => 0,
        'business' => 0,
        'institution' => 0,
        'page' => 0,
        'pe_acad_term' => 0,
        'pe_acad_year' => 0,
        'pe_course' => 0,
        'pe_edu' => 0,
        'pe_group' => 0,
        'pe_lesson' => 0,
        'pe_lesson_plan' => 0,
        'pe_program' => 0,
        'pe_publication' => 0,
        'pe_room' => 0,
        'pe_section' => 0,
        'profile' => 0,
        'profileedu' => 0,
        'profileeducation' => 0,
        'profilejob' => 0,
        'story' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '4' => 0,
        '10' => 0,
        '5' => 0,
        '3' => 0,
        '8' => 0,
        '7' => 0,
        '11' => 0,
        '12' => 0,
        '13' => 0,
        '2' => 0,
        '15' => 0,
        '16' => 0,
        '9' => 0,
        '14' => 0,
        '6' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_is_member' => 0,
      'validate_argument_php' => '',
    ),
    'field_academic_value' => array(
      'default_action' => 'default',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'php',
      'validate_fail' => 'not found',
      'glossary' => 0,
      'limit' => '0',
      'case' => 'none',
      'path_case' => 'none',
      'transform_dash' => 0,
      'id' => 'field_academic_value',
      'table' => 'node_data_field_academic',
      'field' => 'field_academic_value',
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => 'Yes',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'book' => 0,
        'business' => 0,
        'institution' => 0,
        'page' => 0,
        'pe_acad_term' => 0,
        'pe_acad_year' => 0,
        'pe_course' => 0,
        'pe_edu' => 0,
        'pe_group' => 0,
        'pe_lesson' => 0,
        'pe_lesson_plan' => 0,
        'pe_program' => 0,
        'pe_publication' => 0,
        'pe_room' => 0,
        'pe_section' => 0,
        'profile' => 0,
        'profileedu' => 0,
        'profileeducation' => 0,
        'profilejob' => 0,
        'story' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '4' => 0,
        '10' => 0,
        '5' => 0,
        '3' => 0,
        '8' => 0,
        '7' => 0,
        '11' => 0,
        '12' => 0,
        '13' => 0,
        '2' => 0,
        '15' => 0,
        '16' => 0,
        '9' => 0,
        '14' => 0,
        '6' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_is_member' => 0,
      'validate_argument_php' => 'return ($argument == \'Yes\') ? TRUE : FALSE;',
    ),
  ));
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'pe_section' => 'pe_section',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
    'role' => array(),
    'perm' => '',
  ));
  $handler->override_option('title', 'Departments');
  $handler->override_option('header', '<?php

  $string = t(\'List of %subsections in the %section of %thissection\', array(\'%subsections\' => drupal_strtolower(variable_get(\'acad_subsections_name\', t(\'Departments\'))), \'%section\' => variable_get(\'acad_section_name\', t(\'Faculty\')), \'%thissection\' => _get_title_from_nid(arg(1))));

  print $string;

  ?>');
  $handler->override_option('header_format', '3');
  $handler->override_option('empty', 'No subsections yet.');
  $handler->override_option('empty_format', '1');
  $handler->override_option('items_per_page', 100);
  $handler->override_option('use_pager', '1');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 1,
    'order' => 'asc',
    'columns' => array(
      'title' => 'title',
      'field_code_value' => 'field_code_value',
      'field_head_uid' => 'field_head_uid',
      'view_node' => 'view_node',
    ),
    'info' => array(
      'title' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_code_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_head_uid' => array(
        'separator' => '',
      ),
      'view_node' => array(
        'separator' => '',
      ),
    ),
    'default' => 'title',
  ));
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->override_option('path', 'pe_subsections/%');
  $handler->override_option('menu', array(
    'type' => 'none',
    'title' => 'Sections',
    'description' => '',
    'weight' => '0',
    'name' => 'navigation',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
  ));
  $views[$view->name] = $view;

  $view = new view;
  $view->name = 'pe_sections';
  $view->description = 'List of sections and subsections';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('fields', array(
    'title' => array(
      'label' => 'Title',
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'none',
    ),
    'field_code_value' => array(
      'id' => 'field_code_value',
      'table' => 'node_data_field_code',
      'field' => 'field_code_value',
    ),
    'head' => array(
      'label' => 'Head',
      'exclude' => 0,
      'id' => 'head',
      'table' => 'node',
      'field' => 'head',
      'relationship' => 'none',
    ),
    'view_node' => array(
      'label' => '',
      'text' => 'Details',
      'exclude' => 0,
      'id' => 'view_node',
      'table' => 'node',
      'field' => 'view_node',
      'relationship' => 'none',
    ),
    'subsections_link' => array(
      'label' => 'phpEdu: Subsections link',
      'text' => 'Departments',
      'exclude' => 0,
      'id' => 'subsections_link',
      'table' => 'node',
      'field' => 'subsections_link',
      'relationship' => 'none',
      'override' => array(
        'button' => 'Override',
      ),
    ),
  ));
  $handler->override_option('sorts', array(
    'title' => array(
      'order' => 'ASC',
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('arguments', array(
    'field_parent_section_nid' => array(
      'default_action' => 'default',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'php',
      'validate_fail' => 'not found',
      'id' => 'field_parent_section_nid',
      'table' => 'node_data_field_parent_section',
      'field' => 'field_parent_section_nid',
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '0',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'book' => 0,
        'business' => 0,
        'institution' => 0,
        'page' => 0,
        'pe_acad_term' => 0,
        'pe_acad_year' => 0,
        'pe_course' => 0,
        'pe_edu' => 0,
        'pe_group' => 0,
        'pe_lesson' => 0,
        'pe_lesson_plan' => 0,
        'pe_program' => 0,
        'pe_publication' => 0,
        'pe_room' => 0,
        'pe_section' => 0,
        'profile' => 0,
        'profileedu' => 0,
        'profileeducation' => 0,
        'profilejob' => 0,
        'story' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '4' => 0,
        '10' => 0,
        '5' => 0,
        '3' => 0,
        '8' => 0,
        '7' => 0,
        '11' => 0,
        '12' => 0,
        '13' => 0,
        '2' => 0,
        '15' => 0,
        '16' => 0,
        '9' => 0,
        '14' => 0,
        '6' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_is_member' => 0,
      'validate_argument_php' => 'return ($argument > 1) ? FALSE : TRUE;',
    ),
    'field_academic_value' => array(
      'default_action' => 'default',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'php',
      'validate_fail' => 'not found',
      'glossary' => 0,
      'limit' => '0',
      'case' => 'none',
      'path_case' => 'none',
      'transform_dash' => 0,
      'id' => 'field_academic_value',
      'table' => 'node_data_field_academic',
      'field' => 'field_academic_value',
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => 'Yes',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'book' => 0,
        'business' => 0,
        'institution' => 0,
        'page' => 0,
        'pe_acad_term' => 0,
        'pe_acad_year' => 0,
        'pe_course' => 0,
        'pe_edu' => 0,
        'pe_group' => 0,
        'pe_lesson' => 0,
        'pe_lesson_plan' => 0,
        'pe_program' => 0,
        'pe_publication' => 0,
        'pe_room' => 0,
        'pe_section' => 0,
        'profile' => 0,
        'profileedu' => 0,
        'profileeducation' => 0,
        'profilejob' => 0,
        'story' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '4' => 0,
        '10' => 0,
        '5' => 0,
        '3' => 0,
        '8' => 0,
        '7' => 0,
        '11' => 0,
        '12' => 0,
        '13' => 0,
        '2' => 0,
        '15' => 0,
        '16' => 0,
        '9' => 0,
        '14' => 0,
        '6' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_is_member' => 0,
      'validate_argument_php' => 'return ($argument == \'Yes\') ? TRUE : FALSE;',
    ),
  ));
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'pe_section' => 'pe_section',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
    'role' => array(),
    'perm' => '',
  ));
  $handler->override_option('title', 'Faculties');
  $handler->override_option('header', 'List of faculties at phpEdu');
  $handler->override_option('header_format', '1');
  $handler->override_option('header_empty', 1);
  $handler->override_option('empty', 'No faculties yet.');
  $handler->override_option('empty_format', '1');
  $handler->override_option('items_per_page', 100);
  $handler->override_option('use_pager', '1');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 0,
    'order' => 'asc',
    'columns' => array(
      'title' => 'title',
      'field_code_value' => 'field_code_value',
      'view_node' => 'view_node',
      'fullname' => 'fullname',
      'subsections_link' => 'view_node',
    ),
    'info' => array(
      'title' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_code_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'view_node' => array(
        'separator' => ' &bull; ',
      ),
      'fullname' => array(
        'separator' => '',
      ),
      'subsections_link' => array(
        'separator' => '',
      ),
    ),
    'default' => 'title',
  ));
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->override_option('path', 'pe_sections');
  $handler->override_option('menu', array(
    'type' => 'normal',
    'title' => 'Sections',
    'description' => '',
    'weight' => '0',
    'name' => 'navigation',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
  ));
  $views[$view->name] = $view;

  $view = new view;
  $view->name = 'main_sections';
  $view->description = 'A simple view of top level parent sections e.g. faculties';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('fields', array(
    'title' => array(
      'label' => '',
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('sorts', array(
    'title' => array(
      'order' => 'ASC',
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('arguments', array(
    'field_parent_section_nid' => array(
      'default_action' => 'default',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'php',
      'validate_fail' => 'not found',
      'id' => 'field_parent_section_nid',
      'table' => 'node_data_field_parent_section',
      'field' => 'field_parent_section_nid',
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '0',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'blog' => 0,
        'book' => 0,
        'business' => 0,
        'institution' => 0,
        'page' => 0,
        'pe_acad_term' => 0,
        'pe_acad_year' => 0,
        'pe_course' => 0,
        'pe_edu' => 0,
        'pe_group' => 0,
        'pe_lesson' => 0,
        'pe_lesson_plan' => 0,
        'pe_program' => 0,
        'pe_publication' => 0,
        'pe_room' => 0,
        'pe_section' => 0,
        'profile' => 0,
        'profileedu' => 0,
        'profileeducation' => 0,
        'profilejob' => 0,
        'story' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '4' => 0,
        '10' => 0,
        '5' => 0,
        '3' => 0,
        '8' => 0,
        '7' => 0,
        '11' => 0,
        '12' => 0,
        '13' => 0,
        '2' => 0,
        '15' => 0,
        '16' => 0,
        '9' => 0,
        '14' => 0,
        '6' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_is_member' => 0,
      'validate_argument_php' => 'return ($argument > 1) ? FALSE : TRUE;',
    ),
  ));
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'pe_section' => 'pe_section',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
    'role' => array(),
    'perm' => '',
  ));
  $handler->override_option('items_per_page', 20);
  $handler->override_option('use_pager', '1');
  $views[$view->name] = $view;

  $view = new view;
  $view->name = 'calendar_events';
  $view->description = 'A view of general events';
  $view->tag = 'Calendar';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('fields', array(
    'title' => array(
      'label' => '',
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'field' => 'title',
      'table' => 'node',
      'relationship' => 'none',
    ),
    'field_start_date_value' => array(
      'label' => 'starts',
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_start_date_value',
      'table' => 'node_data_field_start_date',
      'field' => 'field_start_date_value',
      'relationship' => 'none',
    ),
    'field_end_date_value' => array(
      'label' => 'ends',
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_end_date_value',
      'table' => 'node_data_field_end_date',
      'field' => 'field_end_date_value',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('sorts', array(
    'field_start_date_value' => array(
      'order' => 'DESC',
      'delta' => -1,
      'id' => 'field_start_date_value',
      'table' => 'node_data_field_start_date',
      'field' => 'field_start_date_value',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('arguments', array(
    'date_argument' => array(
      'default_action' => 'default',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'default_argument_type' => 'date',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'date_fields' => array(
        'node_data_field_end_date.field_end_date_value' => 'node_data_field_end_date.field_end_date_value',
        'node_data_field_start_date.field_start_date_value' => 'node_data_field_start_date.field_start_date_value',
      ),
      'year_range' => '-3:+3',
      'date_method' => 'OR',
      'granularity' => 'month',
      'id' => 'date_argument',
      'table' => 'node',
      'field' => 'date_argument',
      'relationship' => 'none',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'blog' => 0,
        'poll' => 0,
        'pe_gapfilling' => 0,
        'pe_matching' => 0,
        'pe_multichoice' => 0,
        'pe_quiz' => 0,
        'book' => 0,
        'business' => 0,
        'institution' => 0,
        'page' => 0,
        'pe_acad_registration' => 0,
        'pe_acad_term' => 0,
        'pe_acad_year' => 0,
        'pe_admission' => 0,
        'pe_assignment_answer' => 0,
        'pe_assignment_question' => 0,
        'pe_course' => 0,
        'pe_edu' => 0,
        'pe_group' => 0,
        'pe_group_advisers' => 0,
        'pe_group_course' => 0,
        'pe_group_registration' => 0,
        'pe_lesson_content' => 0,
        'pe_lesson_event' => 0,
        'pe_program' => 0,
        'pe_publication' => 0,
        'pe_room' => 0,
        'pe_section' => 0,
        'profile' => 0,
        'profileedu' => 0,
        'profileeducation' => 0,
        'profilejob' => 0,
        'profilekin' => 0,
        'story' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '4' => 0,
        '10' => 0,
        '3' => 0,
        '7' => 0,
        '11' => 0,
        '12' => 0,
        '13' => 0,
        '2' => 0,
        '15' => 0,
        '8' => 0,
        '16' => 0,
        '9' => 0,
        '14' => 0,
        '5' => 0,
        '6' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_php' => '',
      'override' => array(
        'button' => 'Override',
      ),
      'default_options_div_prefix' => '',
      'validate_argument_is_member' => 0,
    ),
  ));
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'pe_acad_registration' => 'pe_acad_registration',
        'pe_acad_term' => 'pe_acad_term',
        'pe_acad_year' => 'pe_acad_year',
      ),
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'type_op',
        'identifier' => 'type',
        'label' => 'Type',
        'optional' => 1,
        'single' => 1,
        'remember' => 1,
        'reduce' => 1,
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
      'override' => array(
        'button' => 'Override',
      ),
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
    'role' => array(),
    'perm' => '',
  ));
  $handler->override_option('title', 'Calendar');
  $handler->override_option('items_per_page', 0);
  $handler->override_option('use_more', 0);
  $handler->override_option('style_plugin', 'calendar_nav');
  $handler = $view->new_display('calendar', 'Calendar page', 'calendar_1');
  $handler->override_option('path', 'events');
  $handler->override_option('menu', array(
    'type' => 'normal',
    'title' => 'Events calendar',
    'description' => '',
    'weight' => '0',
    'name' => 'navigation',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
  ));
  $handler->override_option('calendar_colors', array(
    'pe_program' => '#ffffff',
    'pe_acad_term' => '#a90a0a',
    'pe_acad_year' => '#0806a7',
    'pe_admission' => '#ffffff',
    'pe_assignment_answer' => '#ffffff',
    'pe_assignment_question' => '#ffffff',
    'blog' => '#ffffff',
    'book' => '#ffffff',
    'business' => '#ffffff',
    'pe_edu' => '#ffffff',
    'pe_course' => '#ffffff',
    'pe_group_advisers' => '#ffffff',
    'pe_group_course' => '#ffffff',
    'pe_group_registration' => '#ffffff',
    'profileeducation' => '#ffffff',
    'profilejob' => '#ffffff',
    'pe_gapfilling' => '#ffffff',
    'pe_group' => '#ffffff',
    'institution' => '#ffffff',
    'pe_lesson_content' => '#ffffff',
    'pe_lesson_event' => '#ffffff',
    'pe_matching' => '#ffffff',
    'pe_multichoice' => '#ffffff',
    'page' => '#ffffff',
    'poll' => '#ffffff',
    'profile' => '#ffffff',
    'profileedu' => '#ffffff',
    'profilekin' => '#ffffff',
    'profileother' => '#ffffff',
    'pe_publication' => '#ffffff',
    'pe_quiz' => '#ffffff',
    'pe_acad_registration' => '#28e811',
    'pe_room' => '#ffffff',
    'pe_section' => '#ffffff',
    'story' => '#ffffff',
  ));
  $handler->override_option('calendar_popup', '0');
  $handler = $view->new_display('calendar_block', 'Calendar block', 'calendar_block_1');
  $handler->override_option('block_description', 'Calendar');
  $handler->override_option('block_caching', -1);
  $handler = $view->new_display('calendar_period', 'Year view', 'calendar_period_1');
  $handler->override_option('style_plugin', 'calendar_style');
  $handler->override_option('style_options', array(
    'display_type' => 'year',
    'name_size' => 1,
    'max_items' => 0,
    'truncated_fields' => array(),
    'truncate_length' => '',
  ));
  $handler->override_option('attachment_position', 'after');
  $handler->override_option('inherit_arguments', TRUE);
  $handler->override_option('inherit_exposed_filters', TRUE);
  $handler->override_option('displays', array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  ));
  $handler->override_option('calendar_type', 'year');
  $handler = $view->new_display('calendar_period', 'Month view', 'calendar_period_2');
  $handler->override_option('style_plugin', 'calendar_style');
  $handler->override_option('style_options', array(
    'display_type' => 'month',
    'name_size' => '99',
    'with_weekno' => '1',
    'date_fields' => NULL,
    'max_items' => 0,
    'truncated_fields' => array(),
    'truncate_length' => '',
  ));
  $handler->override_option('attachment_position', 'after');
  $handler->override_option('inherit_arguments', TRUE);
  $handler->override_option('inherit_exposed_filters', TRUE);
  $handler->override_option('displays', array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  ));
  $handler->override_option('calendar_type', 'month');
  $handler = $view->new_display('calendar_period', 'Day view', 'calendar_period_3');
  $handler->override_option('style_plugin', 'calendar_style');
  $handler->override_option('style_options', array(
    'name_size' => '99',
    'with_weekno' => 0,
    'max_items' => 0,
    'max_items_behavior' => 'more',
    'groupby_times' => 'hour',
    'groupby_times_custom' => '',
    'groupby_field' => '',
    'truncated_fields' => array(),
    'truncate_length' => '',
  ));
  $handler->override_option('attachment_position', 'after');
  $handler->override_option('inherit_arguments', TRUE);
  $handler->override_option('inherit_exposed_filters', TRUE);
  $handler->override_option('displays', array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  ));
  $handler->override_option('calendar_type', 'day');
  $handler = $view->new_display('calendar_period', 'Week view', 'calendar_period_4');
  $handler->override_option('style_plugin', 'calendar_style');
  $handler->override_option('style_options', array(
    'name_size' => '99',
    'with_weekno' => 0,
    'max_items' => 0,
    'max_items_behavior' => 'more',
    'groupby_times' => 'hour',
    'groupby_times_custom' => '',
    'groupby_field' => '',
    'truncated_fields' => array(),
    'truncate_length' => '',
  ));
  $handler->override_option('attachment_position', 'after');
  $handler->override_option('inherit_arguments', TRUE);
  $handler->override_option('inherit_exposed_filters', TRUE);
  $handler->override_option('displays', array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  ));
  $handler->override_option('calendar_type', 'week');
  $handler = $view->new_display('calendar_period', 'Block view', 'calendar_period_5');
  $handler->override_option('style_plugin', 'calendar_style');
  $handler->override_option('style_options', array(
    'display_type' => 'month',
    'name_size' => '1',
  ));
  $handler->override_option('attachment_position', 'after');
  $handler->override_option('inherit_arguments', TRUE);
  $handler->override_option('inherit_exposed_filters', TRUE);
  $handler->override_option('displays', array(
    'calendar_1' => 0,
    'default' => 0,
    'calendar_block_1' => 'calendar_block_1',
  ));
  $handler->override_option('calendar_type', 'month');
  $handler = $view->new_display('block', 'Upcoming', 'block_1');
  $handler->override_option('fields', array(
    'title' => array(
      'label' => '',
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'field' => 'title',
      'table' => 'node',
      'relationship' => 'none',
      'format' => 'default',
    ),
    'changed' => array(
      'label' => '',
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'changed',
      'field' => 'changed',
      'table' => 'node',
      'relationship' => 'none',
      'date_format' => 'small',
      'format' => 'default',
    ),
  ));
  $handler->override_option('arguments', array());
  $handler->override_option('filters', array(
    'status' => array(
      'operator' => '=',
      'value' => 1,
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'status',
      'table' => 'node',
      'field' => 'status',
      'relationship' => 'none',
    ),
    'date_filter' => array(
      'operator' => '>=',
      'value' => array(
        'value' => NULL,
        'min' => NULL,
        'max' => NULL,
        'default_date' => 'now',
        'default_to_date' => '',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'date_fields' => array(
        'node.changed' => 'node.changed',
      ),
      'granularity' => 'day',
      'form_type' => 'date_select',
      'default_date' => 'now',
      'default_to_date' => '',
      'id' => 'date_filter',
      'table' => 'node',
      'field' => 'date_filter',
      'override' => array(
        'button' => 'Use default',
      ),
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('items_per_page', 5);
  $handler->override_option('use_more', 1);
  $handler->override_option('style_plugin', 'list');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'type' => 'ul',
  ));
  $handler->override_option('block_description', 'Upcoming');
  $handler->override_option('block_caching', -1);
  $views[$view->name] = $view;

  $view = new view;
  $view->name = 'calendar_timetable';
  $view->description = 'A  timetable of classes';
  $view->tag = 'Calendar';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('fields', array(
    'title' => array(
      'label' => '',
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'field' => 'title',
      'table' => 'node',
      'relationship' => 'none',
    ),
    'field_eventrepeat_date_value' => array(
      'label' => 'Date',
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => 0,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => 0,
      ),
      'exclude' => 0,
      'id' => 'field_eventrepeat_date_value',
      'table' => 'node_data_field_eventrepeat_date',
      'field' => 'field_eventrepeat_date_value',
      'relationship' => 'none',
    ),
    'field_eventrepeat_date_value2' => array(
      'label' => 'Date',
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => 0,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => 0,
      ),
      'exclude' => 0,
      'id' => 'field_eventrepeat_date_value2',
      'table' => 'node_data_field_eventrepeat_date',
      'field' => 'field_eventrepeat_date_value2',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('sorts', array(
    'field_start_date_value' => array(
      'order' => 'DESC',
      'delta' => -1,
      'id' => 'field_start_date_value',
      'table' => 'node_data_field_start_date',
      'field' => 'field_start_date_value',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('arguments', array(
    'date_argument' => array(
      'default_action' => 'default',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'default_argument_type' => 'date',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'not found',
      'date_fields' => array(
        'node_data_field_eventrepeat_date.field_eventrepeat_date_value' => 'node_data_field_eventrepeat_date.field_eventrepeat_date_value',
        'node_data_field_eventrepeat_date.field_eventrepeat_date_value2' => 'node_data_field_eventrepeat_date.field_eventrepeat_date_value2',
      ),
      'year_range' => '-3:+3',
      'date_method' => 'OR',
      'granularity' => 'month',
      'id' => 'date_argument',
      'table' => 'node',
      'field' => 'date_argument',
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'blog' => 0,
        'poll' => 0,
        'pe_gapfilling' => 0,
        'pe_matching' => 0,
        'pe_multichoice' => 0,
        'pe_quiz' => 0,
        'book' => 0,
        'business' => 0,
        'institution' => 0,
        'page' => 0,
        'pe_acad_registration' => 0,
        'pe_acad_term' => 0,
        'pe_acad_year' => 0,
        'pe_admission' => 0,
        'pe_assignment_answer' => 0,
        'pe_assignment_question' => 0,
        'pe_course' => 0,
        'pe_edu' => 0,
        'pe_group' => 0,
        'pe_group_advisers' => 0,
        'pe_group_course' => 0,
        'pe_group_registration' => 0,
        'pe_lesson_content' => 0,
        'pe_lesson_event' => 0,
        'pe_program' => 0,
        'pe_publication' => 0,
        'pe_room' => 0,
        'pe_section' => 0,
        'profile' => 0,
        'profileedu' => 0,
        'profileeducation' => 0,
        'profilejob' => 0,
        'profilekin' => 0,
        'story' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '4' => 0,
        '10' => 0,
        '3' => 0,
        '7' => 0,
        '11' => 0,
        '12' => 0,
        '13' => 0,
        '2' => 0,
        '15' => 0,
        '8' => 0,
        '16' => 0,
        '9' => 0,
        '14' => 0,
        '5' => 0,
        '6' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_is_member' => 0,
      'validate_argument_php' => '',
    ),
  ));
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'pe_lesson_event' => 'pe_lesson_event',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => 'type_op',
        'label' => 'Type',
        'use_operator' => 0,
        'identifier' => 'type',
        'optional' => 1,
        'single' => 1,
        'remember' => 1,
        'reduce' => 1,
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
      'override' => array(
        'button' => 'Override',
      ),
    ),
    'tid' => array(
      'operator' => 'or',
      'value' => array(),
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'tid_op',
        'identifier' => 'tid',
        'label' => 'Program',
        'optional' => 1,
        'single' => 1,
        'remember' => 1,
        'reduce' => 0,
      ),
      'type' => 'select',
      'vid' => '8',
      'id' => 'tid',
      'table' => 'term_node',
      'field' => 'tid',
      'hierarchy' => 0,
      'relationship' => 'none',
      'reduce_duplicates' => 0,
    ),
    'tid_1' => array(
      'operator' => 'or',
      'value' => array(),
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'tid_1_op',
        'identifier' => 'tid_1',
        'label' => 'Level',
        'optional' => 1,
        'single' => 1,
        'remember' => 1,
        'reduce' => 0,
      ),
      'type' => 'select',
      'vid' => '2',
      'id' => 'tid_1',
      'table' => 'term_node',
      'field' => 'tid',
      'hierarchy' => 0,
      'relationship' => 'none',
      'reduce_duplicates' => 0,
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
    'role' => array(),
    'perm' => '',
  ));
  $handler->override_option('title', 'Calendar');
  $handler->override_option('items_per_page', 0);
  $handler->override_option('use_more', 0);
  $handler->override_option('style_plugin', 'calendar_nav');
  $handler = $view->new_display('calendar', 'Calendar page', 'calendar_1');
  $handler->override_option('path', 'timetable');
  $handler->override_option('menu', array(
    'type' => 'normal',
    'title' => 'Time-table',
    'description' => '',
    'weight' => '0',
    'name' => 'navigation',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
  ));
  $handler->override_option('calendar_colors', array(
    '0' => array(),
  ));
  $handler->override_option('calendar_colors_vocabulary', array(
    '2' => 2,
  ));
  $handler->override_option('calendar_colors_taxonomy', array(
    '7' => '#921107',
    '8' => '#d2910f',
    '9' => '#11a509',
    '10' => '#9e1a6d',
    '11' => '#23a972',
    '12' => '#121c91',
    '13' => '#48249e',
    '14' => '#2e2929',
    '15' => '#381a38',
    '16' => '#c90303',
    '17' => '#487119',
  ));
  $handler->override_option('calendar_popup', '0');
  $handler = $view->new_display('calendar_block', 'Calendar block', 'calendar_block_1');
  $handler->override_option('block_description', 'Calendar');
  $handler->override_option('block_caching', -1);
  $handler = $view->new_display('calendar_period', 'Year view', 'calendar_period_1');
  $handler->override_option('style_plugin', 'calendar_style');
  $handler->override_option('style_options', array(
    'display_type' => 'year',
    'name_size' => 1,
    'max_items' => 0,
    'truncated_fields' => array(),
    'truncate_length' => '',
  ));
  $handler->override_option('attachment_position', 'after');
  $handler->override_option('inherit_arguments', TRUE);
  $handler->override_option('inherit_exposed_filters', TRUE);
  $handler->override_option('displays', array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  ));
  $handler->override_option('calendar_type', 'year');
  $handler = $view->new_display('calendar_period', 'Month view', 'calendar_period_2');
  $handler->override_option('style_plugin', 'calendar_style');
  $handler->override_option('style_options', array(
    'display_type' => 'month',
    'name_size' => '99',
    'with_weekno' => '1',
    'date_fields' => NULL,
    'max_items' => 0,
    'truncated_fields' => array(),
    'truncate_length' => '',
  ));
  $handler->override_option('attachment_position', 'after');
  $handler->override_option('inherit_arguments', TRUE);
  $handler->override_option('inherit_exposed_filters', TRUE);
  $handler->override_option('displays', array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  ));
  $handler->override_option('calendar_type', 'month');
  $handler = $view->new_display('calendar_period', 'Day view', 'calendar_period_3');
  $handler->override_option('style_plugin', 'calendar_style');
  $handler->override_option('style_options', array(
    'name_size' => '99',
    'with_weekno' => 0,
    'max_items' => 0,
    'max_items_behavior' => 'more',
    'groupby_times' => 'hour',
    'groupby_times_custom' => '',
    'groupby_field' => '',
    'truncated_fields' => array(),
    'truncate_length' => '',
  ));
  $handler->override_option('attachment_position', 'after');
  $handler->override_option('inherit_arguments', TRUE);
  $handler->override_option('inherit_exposed_filters', TRUE);
  $handler->override_option('displays', array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  ));
  $handler->override_option('calendar_type', 'day');
  $handler = $view->new_display('calendar_period', 'Week view', 'calendar_period_4');
  $handler->override_option('style_plugin', 'calendar_style');
  $handler->override_option('style_options', array(
    'name_size' => '99',
    'with_weekno' => 0,
    'max_items' => 0,
    'max_items_behavior' => 'more',
    'groupby_times' => 'hour',
    'groupby_times_custom' => '',
    'groupby_field' => '',
    'truncated_fields' => array(),
    'truncate_length' => '',
  ));
  $handler->override_option('attachment_position', 'after');
  $handler->override_option('inherit_arguments', TRUE);
  $handler->override_option('inherit_exposed_filters', TRUE);
  $handler->override_option('displays', array(
    'calendar_1' => 'calendar_1',
    'default' => 0,
    'calendar_block_1' => 0,
  ));
  $handler->override_option('calendar_type', 'week');
  $handler = $view->new_display('calendar_period', 'Block view', 'calendar_period_5');
  $handler->override_option('style_plugin', 'calendar_style');
  $handler->override_option('style_options', array(
    'display_type' => 'month',
    'name_size' => '1',
  ));
  $handler->override_option('attachment_position', 'after');
  $handler->override_option('inherit_arguments', TRUE);
  $handler->override_option('inherit_exposed_filters', TRUE);
  $handler->override_option('displays', array(
    'calendar_1' => 0,
    'default' => 0,
    'calendar_block_1' => 'calendar_block_1',
  ));
  $handler->override_option('calendar_type', 'month');
  $handler = $view->new_display('block', 'Upcoming', 'block_1');
  $handler->override_option('fields', array(
    'title' => array(
      'label' => '',
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'field' => 'title',
      'table' => 'node',
      'relationship' => 'none',
      'format' => 'default',
    ),
    'changed' => array(
      'label' => '',
      'link_to_node' => 0,
      'exclude' => 0,
      'id' => 'changed',
      'field' => 'changed',
      'table' => 'node',
      'relationship' => 'none',
      'date_format' => 'small',
      'format' => 'default',
    ),
  ));
  $handler->override_option('arguments', array());
  $handler->override_option('filters', array(
    'status' => array(
      'operator' => '=',
      'value' => 1,
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'status',
      'table' => 'node',
      'field' => 'status',
      'relationship' => 'none',
    ),
    'date_filter' => array(
      'operator' => '>=',
      'value' => array(
        'value' => NULL,
        'min' => NULL,
        'max' => NULL,
        'default_date' => 'now',
        'default_to_date' => '',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'date_fields' => array(
        'node.changed' => 'node.changed',
      ),
      'granularity' => 'day',
      'form_type' => 'date_select',
      'default_date' => 'now',
      'default_to_date' => '',
      'id' => 'date_filter',
      'table' => 'node',
      'field' => 'date_filter',
      'override' => array(
        'button' => 'Use default',
      ),
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('items_per_page', 5);
  $handler->override_option('use_more', 1);
  $handler->override_option('style_plugin', 'list');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'type' => 'ul',
  ));
  $handler->override_option('block_description', 'Upcoming');
  $handler->override_option('block_caching', -1);
  $views[$view->name] = $view;


	$view = new view;
  $view->name = 'pe_programs';
  $view->description = 'List of academic programs';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('fields', array(
    'title' => array(
      'label' => 'Title',
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'none',
    ),
    'field_code_value' => array(
      'id' => 'field_code_value',
      'table' => 'node_data_field_code',
      'field' => 'field_code_value',
    ),
    'field_section_id_nid' => array(
      'label' => 'Department',
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_section_id_nid',
      'table' => 'node_data_field_section_id',
      'field' => 'field_section_id_nid',
      'relationship' => 'none',
    ),
    'field_main_section_nid' => array(
      'label' => 'Faculty',
      'link_to_node' => 1,
      'label_type' => 'custom',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_main_section_nid',
      'table' => 'node_data_field_main_section',
      'field' => 'field_main_section_nid',
      'relationship' => 'none',
    ),
    'field_duration_value' => array(
      'label' => 'Semesters',
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_duration_value',
      'table' => 'node_data_field_duration',
      'field' => 'field_duration_value',
      'relationship' => 'none',
    ),
    'tid' => array(
      'label' => 'Type',
      'type' => 'separator',
      'separator' => '',
      'empty' => '',
      'link_to_taxonomy' => 1,
      'limit' => 1,
      'vids' => array(
        '4' => 4,
        '10' => 0,
        '5' => 0,
        '3' => 0,
        '8' => 0,
        '7' => 0,
        '11' => 0,
        '12' => 0,
        '13' => 0,
        '2' => 0,
        '15' => 0,
        '16' => 0,
        '9' => 0,
        '14' => 0,
        '6' => 0,
      ),
      'exclude' => 0,
      'id' => 'tid',
      'table' => 'term_node',
      'field' => 'tid',
      'relationship' => 'none',
    ),
    'view_node' => array(
      'label' => '',
      'text' => 'Details',
      'exclude' => 0,
      'id' => 'view_node',
      'table' => 'node',
      'field' => 'view_node',
      'relationship' => 'none',
    ),
    'program_courses_link' => array(
      'label' => '',
      'text' => '',
      'exclude' => 0,
      'id' => 'program_courses_link',
      'table' => 'node',
      'field' => 'program_courses_link',
      'relationship' => 'none',
      'override' => array(
        'button' => 'Override',
      ),
    ),
  ));
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'pe_program' => 'pe_program',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
    'field_main_section_nid' => array(
      'operator' => 'or',
      'value' => array(),
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'field_main_section_nid_op',
        'identifier' => 'main_section',
        'label' => 'Faculty',
        'optional' => 1,
        'single' => 1,
        'remember' => 0,
        'reduce' => 0,
      ),
      'id' => 'field_main_section_nid',
      'table' => 'node_data_field_main_section',
      'field' => 'field_main_section_nid',
      'relationship' => 'none',
      'reduce_duplicates' => 0,
    ),
    'field_acad_year_id_nid' => array(
      'operator' => 'or',
      'value' => array(),
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'field_acad_year_id_nid_op',
        'identifier' => 'acad_year',
        'label' => 'Year',
        'optional' => 0,
        'single' => 1,
        'remember' => 1,
        'reduce' => 0,
      ),
      'id' => 'field_acad_year_id_nid',
      'table' => 'node_data_field_acad_year_id',
      'field' => 'field_acad_year_id_nid',
      'relationship' => 'none',
      'reduce_duplicates' => 0,
      'override' => array(
        'button' => 'Override',
      ),
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
    'role' => array(),
    'perm' => '',
  ));
  $handler->override_option('title', 'Academic programmes');
  $handler->override_option('header', 'List of academic programmes at phpEdu');
  $handler->override_option('header_format', '1');
  $handler->override_option('empty', 'No academic programmes found.');
  $handler->override_option('empty_format', '1');
  $handler->override_option('items_per_page', 20);
  $handler->override_option('use_pager', '1');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 1,
    'order' => 'asc',
    'columns' => array(
      'title' => 'title',
      'field_code_value' => 'field_code_value',
      'field_section_id_nid' => 'field_section_id_nid',
      'field_main_section_nid' => 'field_main_section_nid',
      'field_duration_value' => 'field_duration_value',
      'tid' => 'tid',
      'view_node' => 'view_node',
      'field_url_program_courses_url' => 'field_url_program_courses_url',
    ),
    'info' => array(
      'title' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_code_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_section_id_nid' => array(
        'separator' => '',
      ),
      'field_main_section_nid' => array(
        'separator' => '',
      ),
      'field_duration_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'tid' => array(
        'separator' => '',
      ),
      'view_node' => array(
        'separator' => '',
      ),
      'field_url_program_courses_url' => array(
        'sortable' => 0,
        'separator' => '',
      ),
    ),
    'default' => 'title',
  ));
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->override_option('path', 'pe_programs');
  $handler->override_option('menu', array(
    'type' => 'normal',
    'title' => 'Academic programmes',
    'description' => '',
    'weight' => '0',
    'name' => 'navigation',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
  ));
  $views[$view->name] = $view;

  $view = new view;
  $view->name = 'pe_program_courses';
  $view->description = 'List of courses for different academic programmes';
  $view->tag = 'phpedu';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('relationships', array(
    'field_acad_term_id_nid' => array(
      'label' => 'field_acad_term_id_nid',
      'required' => 0,
      'id' => 'field_acad_term_id_nid',
      'table' => 'node_data_field_acad_term_id',
      'field' => 'field_acad_term_id_nid',
      'relationship' => 'none',
    ),
    'field_acad_year_id_nid' => array(
      'label' => 'field_acad_year_id_nid',
      'required' => 0,
      'id' => 'field_acad_year_id_nid',
      'table' => 'node_data_field_acad_year_id',
      'field' => 'field_acad_year_id_nid',
      'relationship' => 'field_acad_term_id_nid',
    ),
  ));
  $handler->override_option('fields', array(
    'title' => array(
      'label' => 'Title',
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'none',
    ),
    'field_code_value' => array(
      'label' => '',
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_code_value',
      'table' => 'node_data_field_code',
      'field' => 'field_code_value',
      'relationship' => 'none',
    ),
    'field_credits_value' => array(
      'label' => '',
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_credits_value',
      'table' => 'node_data_field_credits',
      'field' => 'field_credits_value',
      'relationship' => 'none',
    ),
    'field_acad_year_value' => array(
      'label' => 'Year',
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'plain',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_acad_year_value',
      'table' => 'node_data_field_acad_year',
      'field' => 'field_acad_year_value',
      'relationship' => 'none',
    ),
    'field_term_value' => array(
      'label' => '',
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_term_value',
      'table' => 'node_data_field_term',
      'field' => 'field_term_value',
      'relationship' => 'field_acad_term_id_nid',
    ),
    'field_acad_program_id_nid' => array(
      'label' => 'Program',
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_acad_program_id_nid',
      'table' => 'node_data_field_acad_program_id',
      'field' => 'field_acad_program_id_nid',
      'relationship' => 'none',
    ),
    'field_section_id_nid' => array(
      'label' => 'Department/Faculty',
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_section_id_nid',
      'table' => 'node_data_field_section_id',
      'field' => 'field_section_id_nid',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('arguments', array(
    'field_acad_program_id_nid' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'ignore',
      'id' => 'field_acad_program_id_nid',
      'table' => 'node_data_field_acad_program_id',
      'field' => 'field_acad_program_id_nid',
      'override' => array(
        'button' => 'Override',
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'blog' => 0,
        'poll' => 0,
        'pe_gapfilling' => 0,
        'pe_matching' => 0,
        'pe_multichoice' => 0,
        'pe_quiz' => 0,
        'book' => 0,
        'business' => 0,
        'institution' => 0,
        'page' => 0,
        'pe_acad_term' => 0,
        'pe_acad_year' => 0,
        'pe_course' => 0,
        'pe_edu' => 0,
        'pe_group' => 0,
        'pe_lesson' => 0,
        'pe_lesson_plan' => 0,
        'pe_program' => 0,
        'pe_publication' => 0,
        'pe_room' => 0,
        'pe_section' => 0,
        'profile' => 0,
        'profileedu' => 0,
        'profileeducation' => 0,
        'profilejob' => 0,
        'profilekin' => 0,
        'story' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '4' => 0,
        '10' => 0,
        '5' => 0,
        '3' => 0,
        '7' => 0,
        '11' => 0,
        '12' => 0,
        '13' => 0,
        '2' => 0,
        '15' => 0,
        '8' => 0,
        '16' => 0,
        '9' => 0,
        '14' => 0,
        '6' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_is_member' => 0,
      'validate_argument_php' => '',
    ),
  ));
  $handler->override_option('filters', array(
    'field_acad_program_id_nid' => array(
      'operator' => 'or',
      'value' => array(),
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'field_acad_program_id_nid_op',
        'identifier' => 'field_acad_program_id_nid',
        'label' => 'Program',
        'optional' => 1,
        'single' => 1,
        'remember' => 0,
        'reduce' => 0,
      ),
      'id' => 'field_acad_program_id_nid',
      'table' => 'node_data_field_acad_program_id',
      'field' => 'field_acad_program_id_nid',
      'relationship' => 'none',
      'reduce_duplicates' => 0,
    ),
    'field_acad_year_id_nid' => array(
      'operator' => 'or',
      'value' => array(),
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'field_acad_year_id_nid_op',
        'identifier' => 'field_acad_year_id_nid',
        'label' => 'Year',
        'optional' => 0,
        'single' => 1,
        'remember' => 0,
        'reduce' => 0,
      ),
      'id' => 'field_acad_year_id_nid',
      'table' => 'node_data_field_acad_year_id',
      'field' => 'field_acad_year_id_nid',
      'relationship' => 'field_acad_term_id_nid',
      'reduce_duplicates' => 0,
    ),
    'field_term_value' => array(
      'operator' => '=',
      'value' => '',
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'field_term_value_op',
        'identifier' => 'field_term_value',
        'label' => 'Term',
        'optional' => 1,
        'remember' => 0,
      ),
      'case' => 1,
      'id' => 'field_term_value',
      'table' => 'node_data_field_term',
      'field' => 'field_term_value',
      'relationship' => 'field_acad_term_id_nid',
      'reduce_duplicates' => 0,
    ),
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'pe_course' => 'pe_course',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
    'role' => array(),
    'perm' => '',
  ));
  $handler->override_option('title', 'Courses');
  $handler->override_option('header', 'List of courses');
  $handler->override_option('header_format', '1');
  $handler->override_option('header_empty', 1);
  $handler->override_option('empty', 'No courses found.');
  $handler->override_option('empty_format', '1');
  $handler->override_option('items_per_page', 100);
  $handler->override_option('use_pager', '1');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 1,
    'order' => 'asc',
    'columns' => array(
      'title' => 'title',
      'field_code_value' => 'field_code_value',
      'field_credits_value' => 'field_credits_value',
      'field_acad_year_value' => 'field_acad_year_value',
      'field_term_value' => 'field_term_value',
      'field_acad_program_id_nid' => 'field_acad_program_id_nid',
      'field_section_id_nid' => 'field_section_id_nid',
    ),
    'info' => array(
      'title' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_code_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_credits_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_acad_year_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_term_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_acad_program_id_nid' => array(
        'separator' => '',
      ),
      'field_section_id_nid' => array(
        'separator' => '',
      ),
    ),
    'default' => 'title',
  ));
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->override_option('path', 'pe_programs/courses');
  $handler->override_option('menu', array(
    'type' => 'normal',
    'title' => 'Courses',
    'description' => '',
    'weight' => '0',
    'name' => 'navigation',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
  ));
	$views[$view->name] = $view;

	$view = new view;
	$view->name = 'headlines';
	$view->description = 'News headlines';
	$view->tag = '';
	$view->view_php = '';
	$view->base_table = 'node';
	$view->is_cacheable = FALSE;
	$view->api_version = 2;
	$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
	$handler = $view->new_display('default', 'Defaults', 'default');
	$handler->override_option('fields', array(
		'title' => array(
			'label' => '',
			'alter' => array(
				'alter_text' => 0,
				'text' => '',
				'make_link' => 0,
				'path' => '',
				'alt' => '',
				'prefix' => '',
				'suffix' => '',
				'help' => '',
				'trim' => 0,
				'max_length' => '',
				'word_boundary' => 1,
				'ellipsis' => 1,
				'html' => 0,
			),
			'link_to_node' => 1,
			'exclude' => 0,
			'id' => 'title',
			'table' => 'node',
			'field' => 'title',
			'relationship' => 'none',
		),
	));
	$handler->override_option('filters', array(
		'type' => array(
			'operator' => 'in',
			'value' => array(
				'story' => 'story',
			),
			'group' => '0',
			'exposed' => FALSE,
			'expose' => array(
				'operator' => FALSE,
				'label' => '',
			),
			'id' => 'type',
			'table' => 'node',
			'field' => 'type',
			'relationship' => 'none',
		),
		'status' => array(
			'operator' => '=',
			'value' => '1',
			'group' => '0',
			'exposed' => FALSE,
			'expose' => array(
				'operator' => FALSE,
				'label' => '',
			),
			'id' => 'status',
			'table' => 'node',
			'field' => 'status',
			'relationship' => 'none',
		),
	));
	$handler->override_option('access', array(
		'type' => 'none',
	));
	$handler->override_option('header', '<strong>Headlines</strong>');
	$handler->override_option('header_format', '1');
	$handler->override_option('header_empty', 0);
	$handler->override_option('use_more', 1);
	$handler->override_option('style_plugin', 'list');
	$handler->override_option('style_options', array(
		'grouping' => '',
		'type' => 'ul',
	));
	$handler = $view->new_display('block', 'Block', 'block_1');
	$handler->override_option('block_description', '');
	$handler->override_option('block_caching', -1);

	$views[$view->name] = $view;
	
	$view = new view;
	$view->name = 'newslist';
	$view->description = 'List of news items';
	$view->tag = '';
	$view->view_php = '';
	$view->base_table = 'node';
	$view->is_cacheable = FALSE;
	$view->api_version = 2;
	$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
	$handler = $view->new_display('default', 'Defaults', 'default');
	$handler->override_option('sorts', array(
		'created' => array(
			'order' => 'DESC',
			'granularity' => 'second',
			'id' => 'created',
			'table' => 'node',
			'field' => 'created',
			'relationship' => 'none',
		),
	));
	$handler->override_option('arguments', array(
		'created_year_month' => array(
			'id' => 'created_year_month',
			'table' => 'node',
			'field' => 'created_year_month',
			'validate_type' => 'none',
			'validate_fail' => 'ignore',
			'default_argument_type' => 'fixed',
			'relationship' => 'none',
			'default_action' => 'ignore',
			'validate_argument_php' => '',
		),
	));
	$handler->override_option('filters', array(
		'status' => array(
			'operator' => '=',
			'value' => 1,
			'group' => '0',
			'exposed' => FALSE,
			'expose' => array(
				'operator' => FALSE,
				'label' => '',
			),
			'id' => 'status',
			'table' => 'node',
			'field' => 'status',
			'relationship' => 'none',
		),
		'type' => array(
			'operator' => 'in',
			'value' => array(
				'story' => 'story',
			),
			'group' => '0',
			'exposed' => FALSE,
			'expose' => array(
				'operator' => FALSE,
				'label' => '',
			),
			'id' => 'type',
			'table' => 'node',
			'field' => 'type',
			'relationship' => 'none',
		),
	));
	$handler->override_option('access', array(
		'type' => 'none',
	));
	$handler->override_option('title', 'News');
	$handler->override_option('use_pager', '1');
	$handler->override_option('row_plugin', 'node');
	$handler->override_option('row_options', array(
		'teaser' => 1,
		'links' => 1,
		'comments' => 0,
	));
	$handler = $view->new_display('page', 'Page', 'page');
	$handler->override_option('path', 'news');
	$handler->override_option('menu', array(
		'type' => 'normal',
		'title' => 'News',
		'description' => '',
		'weight' => '0',
		'name' => 'navigation',
		'default' => 'navigation',
	));
	$handler->override_option('tab_options', array(
		'type' => 'none',
		'title' => '',
		'description' => '',
		'weight' => 0,
	));
	$handler = $view->new_display('feed', 'Feed', 'feed');
	$handler->override_option('style_plugin', 'rss');
	$handler->override_option('style_options', array(
		'mission_description' => FALSE,
		'description' => '',
	));
	$handler->override_option('row_plugin', 'node_rss');
	$handler->override_option('row_options', array(
		'item_length' => 'default',
	));
	$handler->override_option('path', 'news/rss.xml');
	$handler->override_option('menu', array(
		'type' => 'none',
		'title' => '',
		'description' => '',
		'weight' => 0,
		'name' => 'navigation',
	));
	$handler->override_option('tab_options', array(
		'type' => 'none',
		'title' => '',
		'description' => '',
		'weight' => 0,
	));
	$handler->override_option('displays', array(
		'page' => 'page',
	));
	$handler->override_option('sitename_title', FALSE);

	$views[$view->name] = $view;

  return $views;
}



