<?php
// $Id: pe_edu.admin.inc,v 1.6 2009/03/11 05:51:12 dakala Exp $

/**
 * @file
 * pe_edu module administration and settings.
 */

/**
 * Menu callback function allowing for configuration of different site settings
 *
 */
function pe_edu_admin_settings() {
  $form['people'] = array(
		'#type' => 'fieldset',
		'#title'	=> 'People',
		'#description'	=> t('Options for people at the unviersity/college.'),
		'#collapsible'	=> TRUE,
		'#collapsed'	=> TRUE,
		);
		$form['people']['edu_head'] = array(
		'#type' => 'textfield',
		'#title' => t('Head'),
		'#default_value' => variable_get('edu_head', 'Vice-Chancellor'),
		'#description' => t('The head of the university.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['edu_ahead'] = array(
		'#type' => 'textfield',
		'#title' => t('Deputy Head'),
		'#default_value' =>  variable_get('edu_ahead', 'Deputy Vice-Chancellor'),
		'#description' => t('The deputy head of the university.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['edu_admin_head'] = array(
		'#type' => 'textfield',
		'#title' => t('Administrative Head'),
		'#default_value' => variable_get('edu_admin_head', 'Registrar'),
		'#description' => t('The administrative head of the university.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['edu_admin_ahead'] = array(
		'#type' => 'textfield',
		'#title' => t('Deputy Administrative Head'),
		'#default_value' => variable_get('edu_admin_ahead', 'Deputy Registrar'),
		'#description' => t('The deputy administrative head of the university.'),
		'#size' => 60,
		'#maxlength' => 255,
		);

  $form['people']['edu_admin_body'] = array(
		'#type' => 'textfield',
		'#title' => t('Administrative Body'),
		'#default_value' => variable_get('edu_admin_body', 'University Senate'),
		'#description' => t('The highest administrative body or council of the university.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['edu_admin_body_head'] = array(
		'#type' => 'textfield',
		'#title' => t('Head of Administrative Body'),
		'#default_value' => variable_get('edu_admin_body_head', 'Senate Chairperson'),
		'#description' => t('The head or chairperson of the highest administrative body or council.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['edu_admin_body_sec'] = array(
		'#type' => 'textfield',
		'#title' => t('Secretary of Administrative Body'),
		'#default_value' => variable_get('edu_admin_body_sec', 'Senate Secretary'),
		'#description' => t('The secretary to the highest administrative body or council.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['edu_admissions_officer'] = array(
		'#type' => 'textfield',
		'#title' => t('Admissions Officer'),
		'#default_value' => variable_get('edu_admissions_officer', 'Admissions Officer'),
		'#description' => t('The person who co-ordinates admission of new students.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['edu_section_head'] = array(
		'#type' => 'textfield',
		'#title' => t('Academic Section Head'),
		'#default_value' => variable_get('edu_section_head', t('Dean')),
		'#description' => t('The head of a main section, for example, a faculty or department.'),
		'#size' => 60,
		'#maxlength' => 255,
		);

 	$form['people']['edu_section_ahead'] = array(
		'#type' => 'textfield',
		'#title' => t('Assistant Academic Section Head'),
		'#default_value' => variable_get('edu_section_ahead', t('Deputy dean')),
		'#description' => t('The deputy head of a main section.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['edu_subsection_head'] = array(
		'#type' => 'textfield',
		'#title' => t('Academic Sub-section Head'),
		'#default_value' => variable_get('edu_subsection_head', t('Head of department')),
		'#description' => t('The head of a sub-section, for example, a faculty or department.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['edu_subsection_ahead'] = array(
		'#type' => 'textfield',
		'#title' => t('Assistant Academic Sub-section Head'),
		'#default_value' => variable_get('edu_subsection_ahead', t('Asst. Head of department')),
		'#description' => t('The deputy head of a sub-section.'),
		'#size' => 60,
		'#maxlength' => 255,
		);

$form['people']['nonacad_subsection_head'] = array(
		'#type' => 'textfield',
		'#title' => t('Non-academic Sub-section Head'),
		'#default_value' => variable_get('nonacad_subsection_head', t('Head')),
		'#description' => t('The head of a non-academic sub-section. You may specify this for when creating the section.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['nonacad_subsection_ahead'] = array(
		'#type' => 'textfield',
		'#title' => t('Assistant Non-academic Sub-section Head'),
		'#default_value' => variable_get('nonacad_subsection_ahead', t('Asst. Head')),
		'#description' => t('The deputy head of a non-academic sub-section. You may specify this for when creating the section.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
		
  $form['people']['edu_section_secretary'] = array(
		'#type' => 'textfield',
		'#title' => t('Section Secretary'),
		'#default_value' => variable_get('edu_faculty_officer', 'Faculty Secretary'),
		'#description' => t('Enter the name of the main section, for example, a faculty.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['title'] = array(
		'#type' => 'textfield',
		'#title' => t('Sub-section Secretary'),
		'#default_value' => variable_get('edu_subsection_secretary', 'Department Secretary'),
		'#description' => t('Enter the name of the main section, for example, a faculty.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['exam_board_sec'] = array(
		'#type' => 'textfield',
		'#title' => t('Exam Board Secretary'),
		'#default_value' => variable_get('edu_exam_body_sec', 'Exam Board Secretary'),
		'#description' => t('The secretary to the council/committee that administers exams.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['people']['exam_board_head'] = array(
		'#type' => 'textfield',
		'#title' => t('Exam Board Head'),
		'#default_value' => variable_get('edu_exam_body_head', 'Exam Board Chairperson'),
		'#description' => t('The head of the council/committee that administers exams.'),
		'#size' => 60,
		'#maxlength' => 255,
		);

  // user groups
  $form['groupings'] = array(
		'#type' => 'fieldset',
		'#title'	=> 'Group names',
		'#description'	=> t('Naming or description of different groups of people.'),
		'#collapsible'	=> TRUE,
		'#collapsed'	=> TRUE,
		);
  $form['groupings']['exam_board_group'] = array(
		'#type' => 'textfield',
		'#title' => t('Exam Board'),
		'#default_value' => variable_get('exam_board_group', 'Exam Board'),
		'#description' => t('The committee that manages exams.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['groupings']['students_group'] = array(
		'#type' => 'textfield',
		'#title' => t('Students\' Group'),
		'#default_value' => variable_get('students_group', 'Students'),
		'#description' => t('The name given to the main group for all students.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['groupings']['applicants_group'] = array(
		'#type' => 'textfield',
		'#title' => t('Applicants\' group'),
		'#default_value' => variable_get('applicants_group', 'Applicants'),
		'#description' => t('The name given to the main group for all applicants.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['groupings']['acad_staff_group'] = array(
		'#type' => 'textfield',
		'#title' => t('Academic Staff Group'),
		'#default_value' => variable_get('acad_staff_group', 'Teachers'),
		'#description' => t('The name given to the main group for all teaching staff.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['groupings']['nonacad_staff_group'] = array(
		'#type' => 'textfield',
		'#title' => t('Non-academic Staff Group'),
		'#default_value' => variable_get('nonacad_staff_group', 'Staff'),
		'#description' => t('The name given to the main group for all non-teaching staff.'),
		'#size' => 60,
		'#maxlength' => 255,
		);

$form['groupings']['Secretaries'] = array(
		'#type' => 'textfield',
		'#title' => t('Secretaries Group'),
		'#default_value' => variable_get('secretaries_group', t('Secretaries')),
		'#description' => t('The name given to the main group for all secretaries.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['groupings']['graduates_group'] = array(
		'#type' => 'textfield',
		'#title' => t('Graduates\' group'),
		'#default_value' => variable_get('graduates_group', 'Alumni'),
		'#description' => t('The name given to the main group for all graduates.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['groupings']['faculty_officers_group'] = array(
    '#type' => 'textfield',
    '#title' => t('Faculty officers\' group'),
    '#default_value' => variable_get('faculty_officers_group', t('Faculty officers')),
    '#description' => t('The name given to the group for faculty officers.'),
    '#size' => 60,
    '#maxlength' => 255,
    );

	$form['groupings']['admission_officers_group'] = array(
    '#type' => 'textfield',
    '#title' => t('Admission officers\' group'),
    '#default_value' => variable_get('admission_officers_group', t('Admission officers')),
    '#description' => t('The name given to the group for Admission officers.'),
    '#size' => 60,
    '#maxlength' => 255,
    );

	$form['groupings']['clearance_officers_group'] = array(
    '#type' => 'textfield',
    '#title' => t('Clearance officers\' group'),
    '#default_value' => variable_get('clearance_officers_group', 'Clearance officers'),
    '#description' => t('The name given to the group for Clearance officers.'),
    '#size' => 60,
    '#maxlength' => 255,
    );

	// TODO: Not very helpful as this can be Course advisers (Pharmacy), Course advisers (Dentistry)
	$form['groupings']['course_advisers_group_name'] = array(
    '#type' => 'textfield',
    '#title' => t('Course advisers\' group'),
    '#default_value' => variable_get('course_advisers_group_name', t('Course advisers')),
    '#description' => t('The name given to the group for Course advisers.'),
    '#size' => 60,
    '#maxlength' => 255,
    );
 
  // group types
	$form['grouptypes'] = array(
		'#type' => 'fieldset',
		'#title'	=> 'Group types',
		'#description'	=> t('Machine name and description of different group types.'),
		'#collapsible'	=> TRUE,
		'#collapsed'	=> TRUE,
		);
  $form['grouptypes']['basic_group'] = array(
    '#type' => 'textfield',
    '#title' => t('Basic group'),
    '#default_value' => variable_get('basic_group', 'pe_group'),
    '#description' => t('Machine name for basic groups.'),
    '#size' => 60,
    '#maxlength' => 255,
    );
    
  $form['grouptypes']['course_registration_group'] = array(
    '#type' => 'textfield',
    '#title' => t('Course registration group'),
    '#default_value' => variable_get('course_registration_group', 'pe_group_registration'),
    '#description' => t('Machine name for groups of students  when registering for courses.'),
    '#size' => 60,
    '#maxlength' => 255,
    );

  $form['grouptypes']['course_advisers_group'] = array(
    '#type' => 'textfield',
    '#title' => t('Course advisers group'),
    '#default_value' => variable_get('course_advisers_group', 'pe_group_advisers'),
    '#description' => t('Machine name for groups of course advisers managed by a Faculty officer.'),
    '#size' => 60,
    '#maxlength' => 255,
    );
  $form['grouptypes']['course_group'] = array(
    '#type' => 'textfield',
    '#title' => t('Course group'),
    '#default_value' => variable_get('course_group', 'pe_group_course'),
    '#description' => t('Machine name for groups of students  taking a course.'),
    '#size' => 60,
    '#maxlength' => 255,
    ); 
  
  // flags
  $form['flag'] = array(
		'#type' => 'fieldset',
		'#title'	=> 'Flags',
		'#description'	=> t('Yes/No options'),
		'#collapsible'	=> TRUE,
		'#collapsed'	=> TRUE,
		);
  $form['flag']['flag_check_fees'] = array(
		'#type' => 'radios',
		'#title' => t('Check fees'),
		'#default_value' => variable_get('flag_check_fees', 1),
		'#options' => array(1 => t('Yes'), 0 => t('No')),
		'#description' => t('<br />Do students pay fees for anything at all?'),
		'#prefix' => '<div class="container-inline-2">',
		'#suffix' => '</div>',
		);
	$form['flag']['fees_for_regn'] = array(
		'#type' => 'radios',
		'#title' => t('Fees before registration'),
		'#default_value' => variable_get('fees_for_regn', 0),
		'#options' => array(1 => t('Yes'), 0 => t('No')),
		'#description' => t('<br />Do we chceck for fees before allowing students to register?'),
		'#prefix' => '<div class="container-inline-2">',
		'#suffix' => '</div>',
		);
  $form['flag']['do_registration'] = array(
    '#type' => 'radios',
    '#title' => t('Register for courses'),
    '#default_value' => variable_get('do_registration', 1),
    '#options' => array(1 => t('Yes'), 0 => t('No')),
    '#description' => t('<br />Do students register for courses?'),
    '#prefix' => '<div class="container-inline-2">',
    '#suffix' => '</div>',
    );

  $form['flag']['check_courses'] = array(
		'#type' => 'radios',
		'#title' => t('Check courses'),
		'#default_value' => variable_get('check_courses', 1),
		'#options' => array(1 => t('Yes'), 0 => t('No')),
		'#description' => t("<br />Do some staff (e.g. Course advisers) check students' choice of courses?"),
		'#prefix' => '<div class="container-inline-2">',
		'#suffix' => '</div>',
		);

  $form['flag']['validate_courses'] = array(
		'#type' => 'radios',
		'#title' => t('Validate courses'),
		'#default_value' => variable_get('validate_courses', 1),
		'#options' => array(1 => t('Yes'), 0 => t('No')),
		'#description' => t("<br />Do some staff validate students' choice of courses before they are allowed to register for them?"),
		'#prefix' => '<div class="container-inline-2">',
		'#suffix' => '</div>',
		);

  // Lists
  $form['lists'] = array(
		'#type' => 'fieldset',
		'#title'	=> 'Lists',
		'#description'	=> t('Total list items to display per page.'),
		'#collapsible'	=> TRUE,
		'#collapsed'	=> TRUE,
		);
  $form['lists']['sections_per_page'] = array(
		'#type' => 'textfield',
		'#title' => t('Sections'),
		'#default_value' => variable_get('sections_per_page', 10),
		'#description' => t(''),
		'#size' => 60,
		'#maxlength' => 255,
		);

  $form['lists']['staff_per_page'] = array(
		'#type' => 'textfield',
		'#title' => t('Staff'),
		'#default_value' => variable_get('staff_per_page', 20),
		'#description' => t(''),
		'#size' => 60,
		'#maxlength' => 255,
		);

  //acad
  $form['acad'] = array(
		'#type' => 'fieldset',
		'#title'	=> 'Academic',
		'#description'	=> t('Miscellanous options.'),
		'#collapsible'	=> TRUE,
		'#collapsed'	=> TRUE,
		);
		
	$form['acad']['max_program_code_length'] = array(
		'#type' => 'textfield',
		'#title' => t('Program code length'),
		'#default_value' => variable_get('max_program_code_length', 10),
		'#description' => t('Maximum length of program codes'),
		'#size' => 60,
		'#maxlength' => 255,
		);
			
  $form['acad']['edu_section'] = array(
		'#type' => 'textfield',
		'#title' => t('Section'),
		'#default_value' => variable_get('acad_section_name', t('Faculty')),
		'#description' => t('Enter the name of a main section, for example, a faculty.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
	$form['acad']['edu_sections'] = array(
		'#type' => 'textfield',
		'#title' => t('Section'),
		'#default_value' => variable_get('acad_sections_name', t('Faculties')),
		'#description' => t('Enter the name of a main section, for example, a faculty.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['acad']['edu_subsection'] = array(
		'#type' => 'textfield',
		'#title' => t('Sub-section'),
		'#default_value' => variable_get('acad_subsection_name', t('Department')),
		'#description' => t('Enter the name of a sub-section, for example, a faculty.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
	$form['acad']['edu_subsections'] = array(
		'#type' => 'textfield',
		'#title' => t('Sub-section'),
		'#default_value' => variable_get('acad_subsections_name', t('Departments')),
		'#description' => t('Enter the name of a sub-section, for example, a faculty.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['acad']['acad_term_name'] = array(
		'#type' => 'textfield',
		'#title' => t('Academic term'),
		'#default_value' => variable_get('acad_term_name', 'Semester'),
		'#description' => t('The name of an academic term, for example semester, term.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['acad']['acad_year_name'] = array(
		'#type' => 'textfield',
		'#title' => t('Academic year'),
		'#default_value' => variable_get('acad_year_name', 'Session'),
		'#description' => t('The name of an academic term, for example session, year.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['acad']['acad_terms_per_year'] = array(
		'#type' => 'textfield',
		'#title' => t('Academic terms per year'),
		'#default_value' => variable_get('acad_terms_per_year', 2),
		'#description' => t('Total academic terms in an academic year.'),
		'#size' => 10,
		'#maxlength' => 2,
		);
	$form['acad']['acad_lesson_group'] = array(
		'#type' => 'textfield',
		'#title' => t('Academic lesson group'),
		'#default_value' => variable_get('acad_lesson_group', 'Course'),
		'#description' => t('The name for a set of classes students take. For example course, class, lesson'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['acad']['acad_lesson_groups'] = array(
		'#type' => 'textfield',
		'#title' => t('Academic lesson groups'),
		'#default_value' => variable_get('acad_lesson_groups', 'Courses'),
		'#description' => t('The name for sets of classes students take. For example courses, classes, lessons'),
		'#size' => 60,
		'#maxlength' => 255,
		);

  $form['acad']['acad_unit'] = array(
		'#type' => 'textfield',
		'#title' => t('Academic unit'),
		'#default_value' => variable_get('acad_unit', 'Credit'),
		'#description' => t('The unit which determines the relative value of courses.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['acad']['acad_units'] = array(
		'#type' => 'textfield',
		'#title' => t('Academic units'),
		'#default_value' => variable_get('acad_units', 'Credits'),
		'#description' => t('The units which determine the relative value of courses.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['acad']['student_number_full'] = array(
		'#type' => 'textfield',
		'#title' => t('Student ID'),
		'#default_value' => variable_get('student_number_full', 'Matriculation number'),
		'#description' => t('Enter the name of the main section, for example, a faculty.'),
		'#size' => 60,
		'#maxlength' => 255,
		);
  $form['acad']['student_number_short'] = array(
		'#type' => 'textfield',
		'#title' => t('Student ID (short)'),
		'#default_value' => variable_get('student_number_short', 'Matric no'),
		'#description' => t('The short form of a Student identification number.'),
		'#size' => 60,
		'#maxlength' => 255,
		);

  // taxonomy
  $form['taxonomy'] = array(
    '#type' => 'fieldset',
    '#title'  => 'Taxonomy',
    '#description'  => t('Mapping of taxonomy vocabularies and categories.'),
    '#collapsible'  => TRUE,
    '#collapsed'  => TRUE,
    );
    
  $form['taxonomy']['student_level_vocab'] = array(
    '#type' => 'textfield',
    '#title' => t('Student level'),
    '#default_value' => variable_get('student_level_vocab', t('Level')),
    '#description' => t('Vocabulary used for identifying levels of study.'),
    '#size' => 60,
    '#maxlength' => 255,
    );
      
  $form['taxonomy']['course_weight_vocab'] = array(
    '#type' => 'textfield',
    '#title' => t('Course weight'),
    '#default_value' => variable_get('course_weight_vocab', t('Course weight')),
    '#description' => t('Vocabulary for identifying weights of courses.'),
    '#size' => 60,
    '#maxlength' => 255,
    );

	$form['taxonomy']['course_status_vocab'] = array(
    '#type' => 'textfield',
    '#title' => t('Status'),
    '#default_value' => variable_get('course_status_vocab', t('Status')),
    '#description' => t('Vocabulary for identifying statuses of courses.'),
    '#size' => 60,
    '#maxlength' => 255,
    );
  return system_settings_form($form);
}

