<?php

/**
 * Implementation of hook_views_default_views().
 */
function pe_program_views_default_views() {
  $view = new view;
  $view->name = 'pe_programs';
  $view->description = 'List of academic programs';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('fields', array(
    'title' => array(
      'label' => 'Title',
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'none',
    ),
    'field_code_value' => array(
      'id' => 'field_code_value',
      'table' => 'node_data_field_code',
      'field' => 'field_code_value',
    ),
    'field_section_id_nid' => array(
      'label' => 'Department',
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_section_id_nid',
      'table' => 'node_data_field_section_id',
      'field' => 'field_section_id_nid',
      'relationship' => 'none',
    ),
    'field_main_section_nid' => array(
      'label' => 'Faculty',
      'link_to_node' => 1,
      'label_type' => 'custom',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_main_section_nid',
      'table' => 'node_data_field_main_section',
      'field' => 'field_main_section_nid',
      'relationship' => 'none',
    ),
    'field_duration_value' => array(
      'label' => 'Semesters',
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_duration_value',
      'table' => 'node_data_field_duration',
      'field' => 'field_duration_value',
      'relationship' => 'none',
    ),
    'tid' => array(
      'label' => 'Type',
      'type' => 'separator',
      'separator' => '',
      'empty' => '',
      'link_to_taxonomy' => 1,
      'limit' => 1,
      'vids' => array(
        '4' => 4,
        '10' => 0,
        '5' => 0,
        '3' => 0,
        '8' => 0,
        '7' => 0,
        '11' => 0,
        '12' => 0,
        '13' => 0,
        '2' => 0,
        '15' => 0,
        '16' => 0,
        '9' => 0,
        '14' => 0,
        '6' => 0,
      ),
      'exclude' => 0,
      'id' => 'tid',
      'table' => 'term_node',
      'field' => 'tid',
      'relationship' => 'none',
    ),
    'view_node' => array(
      'label' => '',
      'text' => 'Details',
      'exclude' => 0,
      'id' => 'view_node',
      'table' => 'node',
      'field' => 'view_node',
      'relationship' => 'none',
    ),
    'program_courses_link' => array(
      'label' => '',
      'text' => '',
      'exclude' => 0,
      'id' => 'program_courses_link',
      'table' => 'node',
      'field' => 'program_courses_link',
      'relationship' => 'none',
      'override' => array(
        'button' => 'Override',
      ),
    ),
  ));
  $handler->override_option('filters', array(
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'pe_program' => 'pe_program',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
    'field_main_section_nid' => array(
      'operator' => 'or',
      'value' => array(),
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'field_main_section_nid_op',
        'identifier' => 'main_section',
        'label' => 'Faculty',
        'optional' => 1,
        'single' => 1,
        'remember' => 0,
        'reduce' => 0,
      ),
      'id' => 'field_main_section_nid',
      'table' => 'node_data_field_main_section',
      'field' => 'field_main_section_nid',
      'relationship' => 'none',
      'reduce_duplicates' => 0,
    ),
    'field_acad_year_id_nid' => array(
      'operator' => 'or',
      'value' => array(),
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'field_acad_year_id_nid_op',
        'identifier' => 'acad_year',
        'label' => 'Year',
        'optional' => 0,
        'single' => 1,
        'remember' => 1,
        'reduce' => 0,
      ),
      'id' => 'field_acad_year_id_nid',
      'table' => 'node_data_field_acad_year_id',
      'field' => 'field_acad_year_id_nid',
      'relationship' => 'none',
      'reduce_duplicates' => 0,
      'override' => array(
        'button' => 'Override',
      ),
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
    'role' => array(),
    'perm' => '',
  ));
  $handler->override_option('title', 'Academic programmes');
  $handler->override_option('header', 'List of academic programmes at phpEdu');
  $handler->override_option('header_format', '1');
  $handler->override_option('empty', 'No academic programmes found.');
  $handler->override_option('empty_format', '1');
  $handler->override_option('items_per_page', 20);
  $handler->override_option('use_pager', '1');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 1,
    'order' => 'asc',
    'columns' => array(
      'title' => 'title',
      'field_code_value' => 'field_code_value',
      'field_section_id_nid' => 'field_section_id_nid',
      'field_main_section_nid' => 'field_main_section_nid',
      'field_duration_value' => 'field_duration_value',
      'tid' => 'tid',
      'view_node' => 'view_node',
      'field_url_program_courses_url' => 'field_url_program_courses_url',
    ),
    'info' => array(
      'title' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_code_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_section_id_nid' => array(
        'separator' => '',
      ),
      'field_main_section_nid' => array(
        'separator' => '',
      ),
      'field_duration_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'tid' => array(
        'separator' => '',
      ),
      'view_node' => array(
        'separator' => '',
      ),
      'field_url_program_courses_url' => array(
        'sortable' => 0,
        'separator' => '',
      ),
    ),
    'default' => 'title',
  ));
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->override_option('path', 'pe_programs');
  $handler->override_option('menu', array(
    'type' => 'normal',
    'title' => 'Academic programmes',
    'description' => '',
    'weight' => '0',
    'name' => 'navigation',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
  ));
  $views[$view->name] = $view;

  $view = new view;
  $view->name = 'pe_program_courses';
  $view->description = 'List of courses for different academic programmes';
  $view->tag = 'phpedu';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = 2;
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->override_option('relationships', array(
    'field_acad_term_id_nid' => array(
      'label' => 'field_acad_term_id_nid',
      'required' => 0,
      'id' => 'field_acad_term_id_nid',
      'table' => 'node_data_field_acad_term_id',
      'field' => 'field_acad_term_id_nid',
      'relationship' => 'none',
    ),
    'field_acad_year_id_nid' => array(
      'label' => 'field_acad_year_id_nid',
      'required' => 0,
      'id' => 'field_acad_year_id_nid',
      'table' => 'node_data_field_acad_year_id',
      'field' => 'field_acad_year_id_nid',
      'relationship' => 'field_acad_term_id_nid',
    ),
  ));
  $handler->override_option('fields', array(
    'title' => array(
      'label' => 'Title',
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'none',
    ),
    'field_code_value' => array(
      'label' => '',
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_code_value',
      'table' => 'node_data_field_code',
      'field' => 'field_code_value',
      'relationship' => 'none',
    ),
    'field_credits_value' => array(
      'label' => '',
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_credits_value',
      'table' => 'node_data_field_credits',
      'field' => 'field_credits_value',
      'relationship' => 'none',
    ),
    'field_acad_year_value' => array(
      'label' => 'Year',
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'plain',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_acad_year_value',
      'table' => 'node_data_field_acad_year',
      'field' => 'field_acad_year_value',
      'relationship' => 'none',
    ),
    'field_term_value' => array(
      'label' => '',
      'link_to_node' => 0,
      'label_type' => 'widget',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_term_value',
      'table' => 'node_data_field_term',
      'field' => 'field_term_value',
      'relationship' => 'field_acad_term_id_nid',
    ),
    'field_acad_program_id_nid' => array(
      'label' => 'Program',
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_acad_program_id_nid',
      'table' => 'node_data_field_acad_program_id',
      'field' => 'field_acad_program_id_nid',
      'relationship' => 'none',
    ),
    'field_section_id_nid' => array(
      'label' => 'Department/Faculty',
      'link_to_node' => 0,
      'label_type' => 'custom',
      'format' => 'default',
      'multiple' => array(
        'group' => TRUE,
        'multiple_number' => '',
        'multiple_from' => '',
        'multiple_reversed' => FALSE,
      ),
      'exclude' => 0,
      'id' => 'field_section_id_nid',
      'table' => 'node_data_field_section_id',
      'field' => 'field_section_id_nid',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('arguments', array(
    'field_acad_program_id_nid' => array(
      'default_action' => 'ignore',
      'style_plugin' => 'default_summary',
      'style_options' => array(),
      'wildcard' => 'all',
      'wildcard_substitution' => 'All',
      'title' => '',
      'default_argument_type' => 'fixed',
      'default_argument' => '',
      'validate_type' => 'none',
      'validate_fail' => 'ignore',
      'id' => 'field_acad_program_id_nid',
      'table' => 'node_data_field_acad_program_id',
      'field' => 'field_acad_program_id_nid',
      'override' => array(
        'button' => 'Override',
      ),
      'relationship' => 'none',
      'default_options_div_prefix' => '',
      'default_argument_user' => 0,
      'default_argument_fixed' => '',
      'default_argument_php' => '',
      'validate_argument_node_type' => array(
        'blog' => 0,
        'poll' => 0,
        'pe_gapfilling' => 0,
        'pe_matching' => 0,
        'pe_multichoice' => 0,
        'pe_quiz' => 0,
        'book' => 0,
        'business' => 0,
        'institution' => 0,
        'page' => 0,
        'pe_acad_term' => 0,
        'pe_acad_year' => 0,
        'pe_course' => 0,
        'pe_edu' => 0,
        'pe_group' => 0,
        'pe_lesson' => 0,
        'pe_lesson_plan' => 0,
        'pe_program' => 0,
        'pe_publication' => 0,
        'pe_room' => 0,
        'pe_section' => 0,
        'profile' => 0,
        'profileedu' => 0,
        'profileeducation' => 0,
        'profilejob' => 0,
        'profilekin' => 0,
        'story' => 0,
      ),
      'validate_argument_node_access' => 0,
      'validate_argument_nid_type' => 'nid',
      'validate_argument_vocabulary' => array(
        '4' => 0,
        '10' => 0,
        '5' => 0,
        '3' => 0,
        '7' => 0,
        '11' => 0,
        '12' => 0,
        '13' => 0,
        '2' => 0,
        '15' => 0,
        '8' => 0,
        '16' => 0,
        '9' => 0,
        '14' => 0,
        '6' => 0,
      ),
      'validate_argument_type' => 'tid',
      'validate_argument_is_member' => 0,
      'validate_argument_php' => '',
    ),
  ));
  $handler->override_option('filters', array(
    'field_acad_program_id_nid' => array(
      'operator' => 'or',
      'value' => array(),
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'field_acad_program_id_nid_op',
        'identifier' => 'field_acad_program_id_nid',
        'label' => 'Program',
        'optional' => 1,
        'single' => 1,
        'remember' => 0,
        'reduce' => 0,
      ),
      'id' => 'field_acad_program_id_nid',
      'table' => 'node_data_field_acad_program_id',
      'field' => 'field_acad_program_id_nid',
      'relationship' => 'none',
      'reduce_duplicates' => 0,
    ),
    'field_acad_year_id_nid' => array(
      'operator' => 'or',
      'value' => array(),
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'field_acad_year_id_nid_op',
        'identifier' => 'field_acad_year_id_nid',
        'label' => 'Year',
        'optional' => 0,
        'single' => 1,
        'remember' => 0,
        'reduce' => 0,
      ),
      'id' => 'field_acad_year_id_nid',
      'table' => 'node_data_field_acad_year_id',
      'field' => 'field_acad_year_id_nid',
      'relationship' => 'field_acad_term_id_nid',
      'reduce_duplicates' => 0,
    ),
    'field_term_value' => array(
      'operator' => '=',
      'value' => '',
      'group' => '0',
      'exposed' => TRUE,
      'expose' => array(
        'use_operator' => 0,
        'operator' => 'field_term_value_op',
        'identifier' => 'field_term_value',
        'label' => 'Term',
        'optional' => 1,
        'remember' => 0,
      ),
      'case' => 1,
      'id' => 'field_term_value',
      'table' => 'node_data_field_term',
      'field' => 'field_term_value',
      'relationship' => 'field_acad_term_id_nid',
      'reduce_duplicates' => 0,
    ),
    'type' => array(
      'operator' => 'in',
      'value' => array(
        'pe_course' => 'pe_course',
      ),
      'group' => '0',
      'exposed' => FALSE,
      'expose' => array(
        'operator' => FALSE,
        'label' => '',
      ),
      'id' => 'type',
      'table' => 'node',
      'field' => 'type',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
    'role' => array(),
    'perm' => '',
  ));
  $handler->override_option('title', 'Courses');
  $handler->override_option('header', 'List of courses');
  $handler->override_option('header_format', '1');
  $handler->override_option('header_empty', 1);
  $handler->override_option('empty', 'No courses found.');
  $handler->override_option('empty_format', '1');
  $handler->override_option('items_per_page', 100);
  $handler->override_option('use_pager', '1');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'grouping' => '',
    'override' => 1,
    'sticky' => 1,
    'order' => 'asc',
    'columns' => array(
      'title' => 'title',
      'field_code_value' => 'field_code_value',
      'field_credits_value' => 'field_credits_value',
      'field_acad_year_value' => 'field_acad_year_value',
      'field_term_value' => 'field_term_value',
      'field_acad_program_id_nid' => 'field_acad_program_id_nid',
      'field_section_id_nid' => 'field_section_id_nid',
    ),
    'info' => array(
      'title' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_code_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_credits_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_acad_year_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_term_value' => array(
        'sortable' => 1,
        'separator' => '',
      ),
      'field_acad_program_id_nid' => array(
        'separator' => '',
      ),
      'field_section_id_nid' => array(
        'separator' => '',
      ),
    ),
    'default' => 'title',
  ));
  $handler = $view->new_display('page', 'Page', 'page_1');
  $handler->override_option('path', 'pe_programs/courses');
  $handler->override_option('menu', array(
    'type' => 'normal',
    'title' => 'Courses',
    'description' => '',
    'weight' => '0',
    'name' => 'navigation',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
  ));
  $views[$view->name] = $view;

  return $views;
}



