<?php


function pe_quiz_admin_settings(){
  $quiz_name = check_plain(variable_get('quiz_name', 'quiz'));
  $form = array();
  // option to globally turn off pass / fail form elements
  $form['quiz_default_close'] = array (
    '#type' => 'textfield',
    '#title' => t('Default number of days before a quiz is closed'),
    '#default_value' => variable_get('quiz_default_close', 30),
    '#description' => t('Supply a number of days to calculate the default close date for new quizzes.'),
  );
  $form['quiz_use_passfail'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display pass / fail options in the quiz form'),
    '#default_value' => variable_get('quiz_use_passfail', 1),
    '#description' => t('Check this to display the pass / fail options in the quiz form. You can still choose to ignore pass / fail options on a quiz by quiz basis if this is checked, but if you want to prohibit other quiz module creators from using these options, unchecked this option.'),
  );
  $form['quiz_default_pass_rate'] = array (
    '#type' => 'textfield',
    '#title' => t('Default percentage needed to pass a quiz'),
    '#default_value' => variable_get('quiz_default_pass_rate', 75),
    '#description' => t('Supply a number between 1 and 100 to set as the default percentage correct needed to pass a quiz. Set to 0 if you want to ignore pass / fail summary information by default.'),
  );
  $form['quiz_name'] = array (
    '#type' => 'textfield',
    '#title' => t('Assessment name'),
    '#default_value' => $quiz_name,
    '#description' => t('How do you want to refer to quizzes accross the site (for example: quiz, test, assessment).  This will affect display text but will not affect menu paths.'),
    '#required' => TRUE,
  );

  $form['extras'] = array(
    '#type' => 'fieldset',
    '#title' => t('General exercise settings'),
  );

  $form['extras']['exercise_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Name for all exercises'),
    '#default_value' => t('Practice'),
    '#description'  => t('This is to diiferentiate general exercises from quizzes, tests or assessments.'),
  );

  $form['extras']['exercise_pass'] = array(
    '#type' => 'textarea',
    '#title' => t('Feedback - pass'),
    '#default_value' => variable_get('exercise_pass', ''),
    '#description'  => t('Message to display if the user passes the exercise.'),
    '#cols' => 40,
    '#rows' => 5,
  );

  $form['extras']['exercise_fail'] = array(
    '#type' => 'textarea',
    '#title' => t('Feedback - fail'),
    '#default_value' => variable_get('exercise_fail', ''),
    '#description'  => t('Message to display if the user passes the exercise.'),
    '#cols' => 40,
    '#rows' => 5,
  );
  $form['extras']['exercise_summary'] = array(
    '#type' => 'textarea',
    '#title' => t('Default message'),
    '#default_value' => variable_get('exercise_summary', t('You have completed the quiz.')),
    '#description'  => t('Default message to display if not using the "Pass/Fail" option for messages.'),
    '#cols' => 40,
    '#rows' => 5,
  );

  return system_settings_form($form);
}


